# DeviceEvent

Namespace: **Wisej.Hybrid.Shared.Core**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents an event that occurred on the Hybrid client.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceEvent
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceEvent
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](https://1168517704-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKLgWHTlbcMvpwVT7mLBW%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)DeviceEvent()

Initializes a new instance of [DeviceEvent](https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.shared.core.deviceevent).

### ![](https://1168517704-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKLgWHTlbcMvpwVT7mLBW%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)DeviceEvent(handler, type, data)

Initializes a new instance of [DeviceEvent](https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.shared.core.deviceevent) with the given \_args.

| Name        | Type                                                          | Description                       |
| ----------- | ------------------------------------------------------------- | --------------------------------- |
| **handler** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The handler that fired the event. |
| **type**    | [String](https://docs.microsoft.com/dotnet/api/system.string) | The type of event.                |
| **data**    | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The event payload.                |

## Properties

### ![](https://1168517704-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKLgWHTlbcMvpwVT7mLBW%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Data

[Object](https://docs.microsoft.com/dotnet/api/system.object): The event data.

### ![](https://1168517704-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKLgWHTlbcMvpwVT7mLBW%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Handler

[String](https://docs.microsoft.com/dotnet/api/system.string): The handler that fired the event.

### ![](https://1168517704-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FKLgWHTlbcMvpwVT7mLBW%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Type

[String](https://docs.microsoft.com/dotnet/api/system.string): The type of event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.shared.core.deviceevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
